2002-01-30  Ken Raeburn  <raeburn@mit.edu>

	* ktf_g_ent.c (krb5_ktfile_get_entry): For non-zero kvno, match
	only low 8 bits.  For zero kvno, if any kvno in the keytab is over
	240, assume we're dealing with numbers 128 through (127+256)
	instead.  This allows for wrapping at 256 while retaining a small
	set of consecutively numbered prior keys in the keytab.

2001-11-19  Tom Yu  <tlyu@mit.edu>

	* ktf_g_ent.c (krb5_ktfile_get_entry): Coerce enctype for now to
	restore 1.0.x enctype similarity behavior.

1999-10-26  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup. [from wsanchez@apple.com]

Mon May 10 15:25:45 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

1998-10-27  Marc Horowitz  <marc@mit.edu>

	* ktf_g_ent.c (krb5_ktfile_get_entry): restructure the code to use
	the compare_enctypes function and not leak memory

Fri Feb 27 18:03:33 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Changed thisconfigdir to point at the lib/krb5
 		directory, since we've moved all of the configure.in
		tests to the toplevel lib/krb5 configure.in

Wed Feb 18 16:23:33 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Mon Feb  2 17:03:20 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Tue Oct 28 10:53:10 1997  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* ktf_wreslv.c, ktf_resolv.c:Initialize version element of
	        krb5_ktfile_data structure.

Mon Sep 15 15:15:33 1997  Ezra Peisach  <epeisach@mit.edu>

	* ktfile.h, ktf_g_ent.c (krb5_ktfile_get_entry): Incoming principal
	        is krb5_const_principal.

Sat Feb 22 22:27:53 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Use some of the new library list build rules in
		win-post.in

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: win32 build

	* ktf_add.c, ktf_close.c, ktf_g_ent.c, ktf_g_name.c, ktf_next.c,
	ktf_remove.c, ktf_resolv.c, ktf_ssget.c, ktf_wreslv.c, ktfile.h
		Change the functions declarations to include FAR pointers
		and KRB5_CALLCONV so that they can be utilized by a DLL.
	
Thu Jan  2 17:13:26 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new library build procedure.

Tue Nov 19 17:06:59 1996  Barry Jaspan  <bjaspan@mit.edu>

	* ktf_g_ent.c (krb5_ktfile_get_entry): return KRB5_KT_KVNONOTFOUND
 	when appropriate [krb5-libs/198]

Wed Jul 24 17:10:11 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* ktf_g_name.c (krb5_ktfile_get_name): Use the error code
 		KRB5_KT_NAME_TOOLONG instead of ENAMETOOLONG, which isn't
 		portable.

Fri Jul 12 21:16:50 1996  Marc Horowitz  <marc@mit.edu>

	* ktf_g_name.c (krb5_ktfile_get_name): include the prefix in the
 	returned name.

Wed Jun 12 01:09:01 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* ser_ktf.c: Add #ifdef _WIN32 in places where we had #ifdef _MSDOS

Thu May  9 03:05:51 1996  Richard Basch  <basch@lehman.com>

	* ktf_g_ent.c (krb5_ktfile_get_entry): don't skip over keytab
		entries with kvno=0.

Tue Mar 19 22:28:43 1996  Richard Basch  <basch@lehman.com>

	* ktf_g_ent.c (krb5_ktfile_get_entry): all des enctypes are equivalent

Thu Jan 25 15:52:34 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* ktf_g_ent.c (krb5_ktfile_get_entry): Match against enctype.

Fri Jan  5 04:50:41 1996  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* ser_ktf.c (krb5_ktf_keytab_internalize): Take care of gcc
		warning under OSF/1.

Fri Oct  6 22:04:15 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Mon Sep 25 16:57:39 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Wed Sep 13 10:57:08 1995 Keith Vetter (keithv@fusion.com)

	* ser_ktf.c: Added MSDOS to wherever MACINTOSH was used.

Mon Sep 11 21:22:44 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* ser_ktf.c (krb5_ktf_keytab_externalize): On Macintosh, keytab
		file is not left open

Wed Sep 06 14:20:57 1995   Chris Provenzano (proven@mit.edu)

        * ktf_g_ent.c, ktf_remove.c, ktf_util.c, ktfile.h : 
		s/keytype/enctype/g, s/KEYTYPE/ENCTYPE/g

Tue Sep 05 22:10:34 1995   Chris Provenzano (proven@mit.edu)

        * ktf_util.c : Remove krb5_enctype references, and replace with
                krb5_keytype where appropriate

Tue Aug 29 13:38:58 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in, .Sanitize, ser_ktf.c - Add new module to support
		serialization of [WR]FILE keytabs.
	* ktf_{defops,ops,wops}.c - Add serializer entry.
	* ktf_{resolv,wreslv}.c - Set magic number in successfully resolved
		keytab.

Wed Aug 16 02:45:19 1995  Chris Provenzano <proven@mit.edu>

        * ktf_util.c: Pass fds to krb5_lock_file() and krb5_unlock_file()

Tue Aug 15 01:34:57 1995  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* ktf_util.c: return KRB5_KEYTAB_BADVNO instead of -1

Fri Aug  4 21:51:32 1995  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* ktf_util.c: shut up gcc -Wall

	* ktf_remove.c: more stuff to shut up gcc -Wall

	* ktf_next.c: Add more parens to shut up gcc -Wall

	* ktf_g_ent.c (krb5_ktfile_get_entry): Add more parens to shut up
		gcc -Wall

	* ktf_add.c (krb5_ktfile_add): Add parens to shut up gcc -Wall

Wed Jun 28 12:05:34 1995    <tytso@rsx-11.mit.edu>

	* ktf_g_ent.c (krb5_ktfile_get_entry): If the key version number
		is specified, check to make sure that the entry has the
		correct key version number.

Fri Jun  9 19:34:23 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Fri May 26 20:20:29 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in, Makefile.in: Add support for building shared libraries.

Thu Apr 13 15:49:16 1995 Keith Vetter (keithv@fusion.com)

	* *.[ch]: removed unneeded INTERFACE from non-api functions.

Fri Mar 17 19:46:49 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (LDFLAGS):  Zap duplicate.

Tue Mar 7 21:40:18 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: changed library name for the PC.

Tue Mar  7 19:55:14 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: take out ISODE_DEFS.

Thu Mar 2 11:50:00 1995 Keith Vetter (keithv@fusion.com)

	* ktf_util.c: Changed NEED_WINSOCK_H to NEED_SOCKETS

Wed Mar 1 16:30:00 1995 Keith Vetter (keithv@fusion.com)

	* ktf_util.c: fixed up some 16 vs 32 bit conversions.

Tue Feb 28 01:01:15 1995  John Gilmore  (gnu at toad.com)

	* *.c:  Avoid <krb5/...> includes.

Wed Feb 22 01:27:05 1995 Keith Vetter (keithv@fusion.com)

        * Makefile.in: made to work on the PC
        * *.c, ktfile.h: added windows INTERFACE keyword
	* ktf_util.c: removed include of <netinet/in.h>
           cast some 32bit ints to size_t ints

Fri Feb  3 01:53:44 1995  John Gilmore  <gnu@cygnus.com>

	Rename files for DOS 8.3 uniqueness:
	* ktf_get_en.c => ktf_g_ent.c
	* ktf_get_na.c => ktf_g_name.c
	* Makefile.in:  changed to match.

Fri Jan 27 12:54:54 1995  Chris Provenzano (proven@mit.edu)

	* ktf_get_en.c, ktfile.h (krb5_ktfile_get_entry()) Added 
		krb5_keytype arg.

Wed Jan 25 16:54:40 1995  Chris Provenzano (proven@mit.edu)

        * Removed all narrow types and references to wide.h and narrow.h
	* ktf_util.c : Use a constant size for file data not subfield
		size from krb5_keytab_entry

Fri Nov 18 15:34:35 1994  Theodore Y. Ts'o  (tytso@dcl)

	* ktf_util.c (krb5_ktfileint_internal_read_entry): Add magic
		numbers for keytab, principal, and keyblock.

Wed Oct 26 14:41:31 1994    (tytso@rsx-11)

	* ktf_get_en.c (krb5_ktfile_get_entry): If the requested kvno is
		IGNORE_KVNO, fix the error return so that 0 (no error) is
		returned instead of KTF_NOT_FOUND.

Thu Oct 13 17:26:12 1994  Theodore Y. Ts'o  (tytso@maytag)

	* configure.in: Add ISODE_DEFS

Tue Oct  4 16:20:48 1994  Theodore Y. Ts'o  (tytso@dcl)

	* ktf_get_en.c (krb5_ktfile_get_entry): Fix to compare using
		new_entry instead of cur_entry.  (Bug made in modification
		on Sep 28th).  Don't free cur_entry twice on errors.

        * ktfile.h
	* ktf_wreslv.c (krb5_ktfile_wresolve):
	* ktf_resolv.c (krb5_ktf_resolv): Resolv's first argument is now a
		const char *.

Fri Sep 30 21:56:02 1994  Theodore Y. Ts'o  (tytso@dcl)

	* ktf_ops.c (krb5_ktf_ops): 
	  ktf_wops.c (krb5_ktf_writable_ops):
	  ktf_defops.c (krb5_kt_dfl_ops): Add placeholder for magic number.

Wed Sep 28 21:14:49 1994  Theodore Y. Ts'o  (tytso@dcl)

	* ktf_get_en.c (krb5_ktfile_get_entry): Modified to return the
		most recent key (with the greatest kvno), instead of the
		first.

Thu Sep 22 21:51:53 1994  Theodore Y. Ts'o  (tytso@dcl)
    
    	* ktf_get_en.c (krb5_ktfile_get_entry):
	* ktf_next.c (krb5_ktfile_get_next):
	* ktf_remove.c (krb5_ktfile_remove):
	* ktf_util.c (krb5_ktfileint_read_entry,
		krb5_ktfileint_internal_read_entry):
	* ktfile.h: Change the interface of krb5_ktfile_read_entry and
		krb5_ktfile_internal_read_entry so that they don't
		allocate memory for the top-level structure.  All of their
		callers didn't need it and were freeing it anyway.
		

	* ktf_remove.c (krb5_ktfile_remove): Fix memory leak caused by not
		freeing the top-level structure.

Wed Sep 14 21:56:15 1994  Theodore Y. Ts'o  (tytso@dcl)

	* ktf_util.c (krb5_ktfileint_delete_entry):  Fixed bug reported by
		Bill Sommerfeld where a missing byte-swap on a
		little-endian machine causes the delete operation fail.

